main {
    position: relative;
    min-height: 5vh;
    width: 100%;
}

main div {
    position: absolute;
    top: 30%;
    bottom: 10%;
    left: 30%;
    right: 30%;
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
}

main h2 {
    font-size: 42px; /* Было 40px */
    font-weight: 900;
    text-align: center;
}

main p {
    font-size: 32px; /* Было 30px */
    font-weight: 700;
    margin-bottom: 5vh;
    text-align: center;
}

main a {
    /* Увеличил диапазон: мин 14px, макс 22px */
    font-size: clamp(14px, 2vw, 22px); 
    font-weight: 700;
    width: 200px;
    border-radius: 30px;
    padding: 1.25rem 20px;
    background: var(--color);
    text-align: center;
    color: #fff;
}

main a:hover {
    background: var(--color-dark);
}